org.apache.flume.conf

## Class FlumeConfiguration.ComponentNameAndConfigKey

- java.lang.Object
- - org.apache.flume.conf.FlumeConfiguration.ComponentNameAndConfigKey

- Enclosing class:
    FlumeConfiguration

      public static class FlumeConfiguration.ComponentNameAndConfigKey
      extends Object

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getComponentName()`
    `String` | `getConfigKey()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getComponentName

          public String getComponentName()

    - #### getConfigKey

          public String getConfigKey()

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.